summaryrefslogtreecommitdiff
path: root/extra/ghex
diff options
context:
space:
mode:
authorParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
committerParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
commit415856bdd4f48ab4f2732996f0bae58595092bbe (patch)
treeede2018b591f6dfb477fe9341ba17b9bc000fab9 /extra/ghex
Tue Apr 5 14:26:38 UTC 2011
Diffstat (limited to 'extra/ghex')
-rw-r--r--extra/ghex/PKGBUILD29
-rw-r--r--extra/ghex/ghex.install22
2 files changed, 51 insertions, 0 deletions
diff --git a/extra/ghex/PKGBUILD b/extra/ghex/PKGBUILD
new file mode 100644
index 000000000..700075f98
--- /dev/null
+++ b/extra/ghex/PKGBUILD
@@ -0,0 +1,29 @@
+# $Id: PKGBUILD 56292 2009-10-21 10:30:09Z jgc $
+# Maintainer: tobias <tobias@archlinux.org>
+# Contributor: Tobias Kieslich <tobias@justdreams.de>
+
+pkgname=ghex
+pkgver=2.24.0
+pkgrel=1
+pkgdesc="A simple binary editor for the Gnome desktop"
+arch=(i686 x86_64)
+license=('GPL')
+url="http://live.gnome.org/Ghex"
+depends=('libgnomeui>=2.24.2' 'libgnomeprintui>=2.18.4' 'hicolor-icon-theme')
+makedepends=('intltool' 'pkgconfig' 'gnome-doc-utils>=0.18.0')
+options=('!libtool' '!emptydirs')
+install=ghex.install
+source=(http://ftp.gnome.org/pub/GNOME/sources/ghex/2.24/${pkgname}-${pkgver}.tar.bz2)
+sha1sums=('6fd8e0df1cb6fb9fcf60cfa2bc88877713e4366c')
+
+build() {
+ cd ${startdir}/src/${pkgname}-${pkgver}
+ ./configure --prefix=/usr --sysconfdir=/etc \
+ --localstatedir=/var --disable-static || return 1
+ make || return 1
+ make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install || return 1
+
+ install -d -m755 ${startdir}/pkg/usr/share/gconf/schemas
+ gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas --domain ghex-2.0 ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
+ rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+}
diff --git a/extra/ghex/ghex.install b/extra/ghex/ghex.install
new file mode 100644
index 000000000..d2fd968ea
--- /dev/null
+++ b/extra/ghex/ghex.install
@@ -0,0 +1,22 @@
+pkgname=ghex
+
+post_install() {
+ usr/sbin/gconfpkg --install ${pkgname}
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
+
+pre_upgrade() {
+ pre_remove $1
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ usr/sbin/gconfpkg --uninstall ${pkgname}
+}
+
+post_remove() {
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}